com.tableau.hyperapi

## Class HyperServiceVersion

- java.lang.Object
- - com.tableau.hyperapi.HyperServiceVersion

-     public final class HyperServiceVersion
      extends java.lang.Object

  A Hyper Service version number of the form 'major.minor'.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `major` The major part of the version number.
    `int` | `minor` The minor part of the version number.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HyperServiceVersion(int major, int minor)` Constructs a HyperServiceVersion

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)` Checks two HyperServiceVersions for equality.
    `int` | `hashCode()` Computes a hash code.
    `java.lang.String` | `toString()` Get the string representation of the version number

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### major

          public int major

      The major part of the version number.

    - #### minor

          public int minor

      The minor part of the version number.

  - ### Constructor Detail

    - #### HyperServiceVersion

          public HyperServiceVersion(int major,
                                     int minor)

      Constructs a HyperServiceVersion
      Parameters:
        `major` - the major part of the version
        `minor` - the minor part of the version

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Get the string representation of the version number
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the HyperServiceVersion in the 'major.minor' format

    - #### equals

          public boolean equals(java.lang.Object that)

      Checks two HyperServiceVersions for equality.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `that` - The other object.
      Returns:
        Whether the two HyperServiceVersions are equal.

    - #### hashCode

          public int hashCode()

      Computes a hash code.
      Overrides:
        `hashCode` in class `java.lang.Object`